#
# next-cvs.make 
#
# Hacks to support use of NeXT's particular use of CVS.
#
# To use this:
# 1) Uncomment the preamble boilerplate:
#      OTHER_GENERATED_OFILES = $(VERS_OFILE)
# 2) You may want to change CVS_VERS_FILE   If the CVSVersionInfo.txt file maintained by 
#    "checkpoint" is not in the current directory (e.g. your project is an aggregate)
#    you must change CVS_VERS_FILE; eg.
#	CVS_VERS_FILE = ../CVSVersionInfo.txt
#    In many projects, the default below will suffice.
#
ifndef CVS_VERS_FILE
CVS_VERS_FILE = CVSVersionInfo.txt
endif

CVS_PROJECT_VERS_CMD = $(VERSIONING_SYSTEM_MAKEFILEDIR)/next-cvs_project_version.sh

VERS_FILE = $(NAME)_vers.c
VERS_OFILE = $(NAME)_vers.o

$(VERS_OFILE): $(VERS_FILE)

$(VERS_FILE): $(CVS_VERS_FILE)
	$(CVS_PROJECT_VERS_CMD) $(CVS_PROJECT_VERS_CMD_ARGS) -c $(NAME) > $(SFILE_DIR)/$(VERS_FILE)

CURRENT_PROJECT_VERSION = $(shell $(CVS_PROJECT_VERS_CMD) $(CVS_PROJECT_VERS_CMD_ARGS) -n)

# By default, this looks for the version info in
# RootProject/CVSVersionInfo.txt
#
# Override this with something like:
# CVS_PROJECT_VERS_CMD_ARGS = -V $(CVS_VERS_FILE)


